<template>
    <div>
        <img v-if="role" v-bind:src="user.path" class="logo rounded-circle">
        <span v-if="role" class="steve">{{user.firstname}} {{user.lastname}}</span>
        <img v-if="!role" src="../../assets/s.png" class="logo">
        <span v-if="!role">Web.Atrio</span>
        <div class="inline">
            <!-- Admin Routing -->
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/users'}">Utilisateurs</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/taches'}">T&#226;ches</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/providers'}">Fournisseurs</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/resources'}">Ressources</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/factures'}">Factures</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/absences'}">Absences</router-link>
            <router-link class="item" v-if="role==='administrateur'" v-bind:to="{path:'/admin/treso'}">Trésorerie</router-link>
            <!-- Commercial Routing -->
            <router-link class="item" v-if="role==='commercial'" v-bind:to="{path:'/commercial/clients'}">Clients</router-link>
            <router-link class="item" v-if="role==='commercial'" v-bind:to="{path:'/commercial/companies'}">Societe</router-link>
            <!-- <router-link class="item" v-if="role==='commercial'" v-bind:to="{path:'/commercial/factures'}">Factures</router-link> -->
            <router-link class="item" v-if="role==='commercial'" v-bind:to="{path:'/commercial/devis'}">Devis</router-link>
            <router-link class="item" v-if="role==='commercial'" v-bind:to="{path:'/commercial/factures'}">Factures</router-link>
            <!-- dev Routing -->
            <router-link class="item" v-if="role==='développeur'" v-bind:to="{path:'/developer/taches'}">T&#226;ches</router-link>
            <router-link class="item" v-if="role==='développeur'" v-bind:to="{path:'/developer/absences'}">Absences</router-link>
            <!-- Chef Project Routing -->
            <router-link class="item" v-if="role==='chef de projet'" v-bind:to="{path:'/chefProjet/taches'}">T&#226;ches</router-link>
            <router-link class="item" v-if="role==='chef de projet'" v-bind:to="{path:'/chefProjet/projects'}">Projets</router-link>
            <router-link class="item" v-if="role==='chef de projet'" v-bind:to="{path:'/chefProjet/absences'}">Absences</router-link>
            <router-link class="item" v-if="role==='chef de projet'" v-bind:to="{path:'/chefProjet/requests'}">Requetes</router-link>
            <!-- Chef Project Routing -->
            <router-link class="item" v-if="role==='responsable RH'" v-bind:to="{path:'/rh/users'}">Utilisateurs</router-link>
            <router-link class="item" v-if="role==='responsable RH'" v-bind:to="{path:'/rh/taches'}">T&#226;ches</router-link>
            <router-link class="item" v-if="role==='responsable RH'" v-bind:to="{path:'/rh/requests'}">Requete</router-link>
            <router-link class="item" v-if="role==='responsable RH'" v-bind:to="{path:'/rh/absences'}">Absences</router-link>
            <!-- Common Routing -->
            <a class="item" href="#" v-if="role" v-on:click="logout">Deconnexion</a>
            <a class="item" href="#/login" v-if="!role">Connexion</a>
        </div>
    </div>
</template>

<script>
export default {
    computed: {
        role() {
            return this.$store.getters.getCurrentUser.role;
        },
        user() {
            return this.$store.getters.getCurrentUser;
        }
    },
    methods: {
        logout() {
            this.$store.dispatch('setCurrentUser', {});
            localStorage.clear();
        }
    }
}
</script>

<style scoped>
.item {
    font-size: 24px;
    color: white;
    text-decoration: none;
    padding: 10px 10px 10px 10px;
    border-radius: 5px;
    margin-top: 8px;
    font-weight: bold;
}

.item:hover {
    transition: color 0.3s ease-in-out;
    transition: color 0.3s ease-in-out;
    color: green;
    text-decoration: none;
}

.steve {
    font-size: 20px;
    font-weight: bold;
}
</style>
